commit:     cafe001d2cb628719144c4bd8f9bfc5b87025bd6
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Feb  9 06:57:18 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Feb  9 07:09:03 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cafe001d

sys-apps/sysvinit: add 3.14

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/sysvinit/Manifest             |   2 +
 sys-apps/sysvinit/sysvinit-3.14.ebuild | 184 +++++++++++++++++++++++++++++++++
 2 files changed, 186 insertions(+)

diff --git a/sys-apps/sysvinit/Manifest b/sys-apps/sysvinit/Manifest
index 6c7da88b3ab4..800b5857eba7 100644
--- a/sys-apps/sysvinit/Manifest
+++ b/sys-apps/sysvinit/Manifest
@@ -8,3 +8,5 @@ DIST sysvinit-3.11.tar.xz 240212 BLAKE2B 
a7233509ec31ef6834e145d5912b2c1d3832bf6
 DIST sysvinit-3.11.tar.xz.sig 833 BLAKE2B 
34938ad711aca2a58decad1fb5345fcfddbffbc8e062802aa2e8c8f1603ffeb9a19f9305aabb7b7b80bbc7e9087acac4e5173f51f4a90c70594b45a2b4e78704
 SHA512 
fa5719970d8ac7c0d172fccb0de9a2f69c9e0530914d1968902c1ba23e2600a9c748240e98e8c1014d939fb2f23579733b6a7a96551f7151420a8bbc1d897eec
 DIST sysvinit-3.12.tar.xz 240948 BLAKE2B 
15e42e2e4df76d903db24cebd77d14cf063c53a91f4d1bc8beb0322ae265f0068dfcb77afabb27796137ea986816e56238310c6c8969c34a1d8e44b1dc2044cb
 SHA512 
d70cc014504edbf71717a014fe209be1ab5029e83cec0162bd9b7526111e5e88d9caf573c30a91f443966508f647d5b41631077f7d8ca0ef121fc82639e6aa81
 DIST sysvinit-3.12.tar.xz.sig 833 BLAKE2B 
efecf6301d489800303cbadb4ca5aee599724f62dc208aaba14fd96807c7bd958be93250e0897285ede1db170a69d50b9c9ec5ad29a6d83bf0f62f4927d1f7c1
 SHA512 
52ddae5f7011efb9120721e4c4ad119efbbabc479d771da064a1ce4db80f8f7d5e916c477ace862ba154b7193f78bcad8edb6317eb38dbf986dfe1396b86f246
+DIST sysvinit-3.14.tar.xz 241536 BLAKE2B 
5eb8520765801c5fcc851d9185fe2468b81e33b0c1c8c10389a4f575939f8d2899355f63f8200b257947498a94002a0442350184f0629305d764a83037a2ec1b
 SHA512 
d2b7279523b301b3d7325c5cf9acef8f9fcc35199dc0f284eee22306c2cb96b42f9a27375a7877033c4d3b16b30fb32c1be32c3665fd2cba183630e008a682a3
+DIST sysvinit-3.14.tar.xz.sig 833 BLAKE2B 
af36d35d434f9517f2340d76215ab94cef8b2c38fdd6b7afc0f72b05a1dfb8d870fbec182f9c6b17983e1e06f30506bf846067e1c966ee810762b9ac29db54ad
 SHA512 
3e4fb4dba9558ce7b1997c7c6234f61d04e7a7edd117cc7ae51283654549bca4b6f1116af7d061ec7763745da6d66a8dfbc36c35093715fea268d2adbaf8867e

diff --git a/sys-apps/sysvinit/sysvinit-3.14.ebuild 
b/sys-apps/sysvinit/sysvinit-3.14.ebuild
new file mode 100644
index 000000000000..f0c321d9a654
--- /dev/null
+++ b/sys-apps/sysvinit/sysvinit-3.14.ebuild
@@ -0,0 +1,184 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Dropped these because blank as of 3.02
+#PLOCALES="de es fi fr hu id pl"
+PLOCALES="de es fr pl"
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/sysvinit.asc
+inherit toolchain-funcs flag-o-matic plocale verify-sig
+
+DESCRIPTION="/sbin/init - parent of all processes"
+HOMEPAGE="https://savannah.nongnu.org/projects/sysvinit";
+# https://github.com/slicer69/sysvinit/issues/12
+#SRC_URI="mirror://nongnu/${PN}/${P/_/-}.tar.xz"
+#SRC_URI+=" verify-sig? ( mirror://nongnu/${PN}/${P/_/-}.tar.xz.sig )"
+SRC_URI="https://github.com/slicer69/sysvinit/releases/download/${PV}/${P}.tar.xz";
+SRC_URI+=" verify-sig? ( 
https://github.com/slicer69/sysvinit/releases/download/${PV}/${P}.tar.xz.sig )"
+S="${WORKDIR}/${P/_*}"
+
+LICENSE="GPL-2"
+SLOT="0"
+if [[ ${PV} != *beta* ]] ; then
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+IUSE="selinux ibm nls static"
+
+COMMON_DEPEND="
+       acct-group/root
+       selinux? (
+               >=sys-libs/libselinux-1.28
+       )
+"
+DEPEND="
+       ${COMMON_DEPEND}
+       virtual/os-headers
+"
+# Old OpenRC blocker is for bug #587424
+# Keep for longer than usual given it's cheap and avoid user inconvenience
+RDEPEND="
+       ${COMMON_DEPEND}
+       !<app-i18n/man-pages-l10n-4.18.1-r1
+       !<sys-apps/openrc-0.13
+       selinux? ( sec-policy/selinux-shutdown )
+"
+# po4a is for man page translations
+BDEPEND="
+       nls? ( app-text/po4a )
+       verify-sig? ( >=sec-keys/openpgp-keys-sysvinit-20220413 )
+"
+
+PATCHES=(
+       # bug #158615
+       "${FILESDIR}/${PN}-3.08-shutdown-single.patch"
+       "${FILESDIR}/${PN}-3.12-delete-moved-programs.patch"
+)
+
+src_prepare() {
+       default
+
+       # We already enforce F_S=2 as a minimum in our toolchain, and
+       # allow 3. Also, SSP doesn't always make sense for some platforms
+       # e.g. HPPA. It's default-on in our toolchain where it works.
+       sed -i \
+               -e '/^CPPFLAGS =$/d' \
+               -e '/^override CFLAGS +=/s/ -fstack-protector-strong//' \
+               -e '/^override CFLAGS +=/s/ -D_FORTIFY_SOURCE=2//' \
+               src/Makefile || die
+
+       # Munge inittab for specific architectures
+       cd "${WORKDIR}" || die
+       cp "${FILESDIR}"/inittab-2.98-r1 inittab || die "cp inittab"
+       local insert=()
+       use ppc && insert=( '#psc0:12345:respawn:/sbin/agetty 115200 ttyPSC0 
linux' )
+       use arm && insert=( '#f0:12345:respawn:/sbin/agetty 9600 ttyFB0 vt100' )
+       use arm64 && insert=( 'f0:12345:respawn:/sbin/agetty 9600 ttyAMA0 
vt100' )
+       use hppa && insert=( 'b0:12345:respawn:/sbin/agetty 9600 ttyB0 vt100' )
+       use s390 && insert=( 's0:12345:respawn:/sbin/agetty 38400 console dumb' 
)
+       if use ibm ; then
+               insert+=(
+                       '#hvc0:2345:respawn:/sbin/agetty -L 9600 hvc0'
+                       '#hvsi:2345:respawn:/sbin/agetty -L 19200 hvsi0'
+               )
+       fi
+       (use arm || use mips || use sparc) && sed -i '/ttyS0/s:#::' inittab
+       if use x86 || use amd64 ; then
+               sed -i \
+                       -e '/ttyS[01]/s:9600:115200:' \
+                       inittab
+       fi
+
+       if [[ ${#insert[@]} -gt 0 ]] ; then
+               printf '%s\n' '' '# Architecture specific features' 
"${insert[@]}" >> inittab
+       fi
+
+       delete_unused_locale() {
+               local locale=${1}
+
+               einfo "Deleting non-requested man page translations for 
locale=${locale}"
+               rm "${S}"/man/po/${locale}.po || die
+
+               sed -i -e "/^\[po4a_langs\]/ s:${locale}::" 
"${S}"/man/po/po4a.cfg || die
+       }
+
+       plocale_for_each_disabled_locale delete_unused_locale
+}
+
+src_compile() {
+       tc-export CC
+
+       append-lfs-flags
+
+       # bug #381311
+       export DISTRO=
+       export VERSION="${PV}"
+
+       use static && append-ldflags -static
+       emake -C src $(usex selinux 'WITH_SELINUX=yes' '')
+
+       if use nls && [[ -n "$(plocale_get_locales)" ]] ; then
+               cd man/po || die
+               po4a po4a.cfg || die
+       fi
+}
+
+src_install() {
+       emake -C src install ROOT="${ED}"
+       dodoc README doc/*
+
+       insinto /etc
+       doins "${WORKDIR}"/inittab
+
+       newinitd "${FILESDIR}"/bootlogd.initd bootlogd
+       newconfd "${FILESDIR}"/bootlogd.confd bootlogd
+
+       into /
+       dosbin "${FILESDIR}"/halt.sh
+
+       keepdir /etc/inittab.d
+
+       if use nls && [[ -n "$(plocale_get_locales)" ]] ; then
+               install_locale_man_pages() {
+                       doman -i18n=${1} man/po/${1}/*
+               }
+
+               plocale_for_each_locale install_locale_man_pages
+       fi
+
+       # Dead symlink
+       find "${ED}" -xtype l -delete || die
+
+       find "${ED}" -type d -empty -delete || die
+}
+
+pkg_postinst() {
+       # Reload init to fix unmounting problems of / on next reboot.
+       # This is really needed, as without the new version of init cause init
+       # not to quit properly on reboot, and causes a fsck of / on next reboot.
+       if [[ -z ${EROOT} ]] ; then
+               if [[ -e /dev/initctl ]] && [[ ! -e /run/initctl ]] ; then
+                       ln -s /dev/initctl /run/initctl \
+                               || ewarn "Failed to set /run/initctl symlink!"
+               fi
+               # Do not return an error if this fails
+               /sbin/telinit U &>/dev/null
+       fi
+
+       elog "The last/lastb/mesg/mountpoint/sulogin/utmpdump/wall tools have 
been moved to"
+       elog "sys-apps/util-linux. The pidof tool has been moved to 
sys-process/procps."
+
+       # Required for new bootlogd service
+       if [[ ! -e "${EROOT}/var/log/boot" ]] ; then
+               touch "${EROOT}/var/log/boot"
+       fi
+
+       local ver
+       for ver in ${REPLACING_VERSIONS}; do
+               ver_test ${ver} -ge 3.07-r2 && continue
+               ewarn "Previously, the 'halt' command caused the system to 
power off"
+               ewarn "even if option -p was not given. This long-standing bug 
has"
+               ewarn "been fixed, and the command now behaves as documented."
+               break
+       done
+}

Reply via email to